<?php

namespace App\Services;

use App\Models\RoadObserved;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use SoapClient;

class NikarayanService
{
    public function updateRoadObservedInfoByNikarayan(Request $request, RoadObserved $roadObserved, $files)
    {
        if (App::isProduction())
        {
            $url = "https://riws.rmto.ir/WebServices/NRPTrafficStatus.asmx?wsdl";

            $array = array('strUserName' => 'vaytelrop',
                'strPassword' => 'VaYtelROP*2024',
                'strAutoID' => $roadObserved->fk_RegisteredEventMessage,
                'strStateID' => ($request->input('rms-status') == 1) ? '2' : '3',
                'strDescription' =>  $request->input('rms-description') ?? $roadObserved->rms_description,
                'strPreviousImageLink' => "https://rms.rmto.ir/".$files,
                'strNextImageLink' => "https://rms.rmto.ir/".$files,
                'strRMSDateAndTime' => $roadObserved->updated_at
            );

            $soapClient = new SoapClient($url);

            return $soapClient->UpdateInfo_RoadObservedProblems($array);
        }

        return 0;
    }
}
